require('./css/index.less');
const $ = require("jquery");
const {post,getUrlArgObject } = require('./js/util.js');
const {api} = require('./js/api.js');
const iconWarn = require("./images/icon_warn.png");
const emptyImg = require("./images/empty.png");

let behospitalCode = getUrlArgObject("behospitalCode") ||''
let hospitalId = getUrlArgObject("hospitalId") ||''
let modeId = getUrlArgObject("modeId") || ''

function setListHei(){
    $(".flawList").css({
        height:$(window).height()-90+'px'
    })
}
setListHei()


function getFLawList(){
    post(api.analyzeRun,{behospitalCode:behospitalCode,hospitalId:hospitalId, modeId:modeId}).then(function(res){
      if(res.data.code==='0'){
        const data = res.data.data&&res.data.data.msgDTOList;
        renderFlawList(data)
       
      }else{

      }

    }).catch(e =>{
            
    });
};
getFLawList()

function renderFlawList(flawList){
    let str = ``
    for(let i = 0; i < flawList.length; i++){
        let flawItem = `<div class="flawItem">
            <span class="flawItemIconBox"><img class="flawItemIcon" src="${iconWarn}" /></span>
            <span class="flawItemMsgBox">${flawList[i].msg}${flawList[i].info ? "("+flawList[i].info + ")" :''}</span>
            <span class="flawItemScore fr">评分: <span class="flawItemNum">-${flawList[i].score}</span></span>
        </div>`
        str += flawItem
        
    }
    if(flawList.length === 0){
        str = `
            <div class="empty">
                <img class="emptyImg" src="${emptyImg}" />
                <div class="emptyTxt">暂无缺陷~</div>
            </div>
        `;
    }
    $('.flawList').html(str);
    replaceSrc();
    $('.flawNum').html(flawList.length)
}
function replaceSrc(){
  var browser=navigator.appName;
  var b_version=navigator.appVersion;
  var version=b_version.split(";");
  var trim_Version=version[1].replace(/[ ]/g,"");
  if(browser=="Microsoft Internet Explorer" && trim_Version=="MSIE8.0"){
    const imgs = $(".flawList img");
    let src = '';
    for(let i=0;i<imgs.length;i++){
      src = $(imgs[i]).attr("src").replace("undefined","");
      imgs.attr("src",src);
    }
  }
}

$(window).on("resize", function(){
    setListHei()
})